Subject: bug#1770: 23.0.60; (message-check 'illegible-text ...) fails on eight-bit chars

From: Kenichi Handa <[email-masked]>
Date: Thu, 14 Oct 2010 15:37:30 +0900

In article <[email-masked]>, Lars Magne Ingebrigtsen <[email-masked]> writes:

> Kenichi Handa <[email-masked]> writes:
> > Yes.  For Emacs 23, adding eight-bit in the list is ok.
> > But, I think it is better to catch non-Unicode characters
> > (#x110000..#x3FFF7F) here too.  For Emacs 23 only, we can
> > have this simple code:
> >
> > 	(while (not (eobp))
> > 	  (when (not (encode-char (char-after) 'unicode))
> >                 ;; or simply (>= (char-after) #x110000)
> > 	    (if (eq choice ?i)
> > 		(message-kill-all-overlays)
> > 	      (delete-char 1)
> > 	      (when (eq choice ?r)
> > 		(insert message-replacement-char))))
> > 	  (forward-char)
> > 	  (skip-chars-forward mm-7bit-chars))

> Was this installed?

No.

> If not, was a different fix applied, 

Yes.

2009-01-03  Reiner Steib  <[email-masked]>

	* message.el (message-fix-before-sending): Add `eight-bit' to
	illegible-text check.

> and the bug not closed, or is this still a problem?

As I wrote, non-Unicode characters are still not caught
here.  But I'm not sure it's problem to be solved by
message-fix-before-sending.  I have not yet got a reply to
this question.

> After filtering out those strange characters, how is a
> coding system decided?  Is select-message-coding-system
> used?

---
Kenichi Handa
[email-masked]